#### Configuration parameters

There are two methods available for analysing the photon spectra.

## Spike-width Method

This method reconstructs the pulse duration from the width of the spectral spikes. For each spectra first an adaptive low-pass filter is applied to fiter out the noise. Then the position and the number of the peaks in the filtered spectrum are found with a peakfinder. As a last step the spectrum is sliced into different regions and each region is fitted with a Gaussian model to obtain the spike width. Within this method noisy shots are automatically sorted when certain thresholds are exceeded.

## Auto-correlation Method

This method reconstructs the pulse duration by fitting the auto-correlation function of the data-set with Gaussian model. Furthermore this method can reconstruct the resolution of the spectrometer from the fitting parameters.